<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'PlatformHero',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <div id="hero-container">
    <SlpContainer :cols="7">
      <div class="hero-wrapper">
        <SlpColumn class="hero-text">
          <div class="animation-wrapper">
            <SlpTypography variant="heading5-bold" tag="h5" class="animated">{{
              data.note
            }}</SlpTypography>
            <SlpTypography
              variant="heading1-bold"
              tag="h1"
              class="note animated"
              >{{ data.header }}</SlpTypography
            >
          </div>
          <div class="animation-wrapper">
            <SlpTypography
              v-if="data.sub_header"
              variant="heading1-bold"
              tag="h1"
              class="slp-mb-24 animated"
              >{{ data.sub_header }}</SlpTypography
            >
          </div>
          <div class="animation-wrapper">
            <SlpTypography variant="body1" tag="p" class="slp-mb-24 animated">{{
              data.description
            }}</SlpTypography>
          </div>
          <div class="animation-wrapper">
            <SlpButton
              :href="data.button.href"
              :variant="data.button.variant"
              :data-ga-name="data.button.data_ga_name"
              :data-ga-location="data.button.data_ga_location"
              class="animated"
              >{{ data.button.text }}
              <SlpIcon
                v-if="data.button.icon"
                :name="data.button.icon"
                class="slp-ml-8"
            /></SlpButton>
            <SlpButton
              :href="data.secondary_button.href"
              :variant="data.secondary_button.variant"
              :data-ga-name="data.secondary_button.data_ga_name"
              :data-ga-location="data.secondary_button.data_ga_location"
              class="animated"
              >{{ data.secondary_button.text }}
              <SlpIcon
                v-if="data.secondary_button.icon"
                :name="data.secondary_button.icon"
                variant="product"
                class="slp-ml-8"
            /></SlpButton>
          </div>
        </SlpColumn>
        <SlpColumn :cols="5" class="hero-image">
          <NuxtImg :src="data.image.src" :alt="data.image.alt" quality="99" />
        </SlpColumn>
      </div>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
#hero-container {
  @media (min-width: $breakpoint-lg) {
    padding-top: $spacing-64;
  }
  background: $color-surface-700;
  color: $color-text-50;
  padding: $spacing-64 0;
}
.hero-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 32px;
  @media (min-width: $breakpoint-md) {
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
  }
  @media (min-width: $breakpoint-lg) {
    gap: 16px;
  }

  .slp-btn {
    @media (max-width: $breakpoint-md) {
      width: 100%;
      justify-content: center;
      margin-top: $spacing-8;
    }
  }

  .hero-text {
    color: white;
    padding-top: $spacing-32;
    @media (min-width: $breakpoint-md) {
      padding-top: 0;
    }
    .animation-wrapper {
      overflow-y: clip;
      .animated {
        animation-name: intro-reveal;
        animation-fill-mode: forwards;
        animation-delay: 0.9s;
        animation-duration: 0.9s;
        transform: translate3d(0, 150%, 0);
        will-change: transform;
        @media (prefers-reduced-motion) {
          animation: none;
          transform: none !important;
        }
      }
    }
    .note {
      background: linear-gradient(
        91.08deg,
        #fca326 -9.03%,
        #a686f2 27.88%,
        #a989f5 65.98%
      );
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
    }
  }
  .hero-image {
    width: 100%;
    img {
      width: 100%;
    }
  }

  .slp-btn-tertiary {
    color: $color-text-50;
    padding-left: $spacing-16;
  }
}

@keyframes intro-reveal {
  from {
    transform: translate3d(0, 150%, 0);
  }
  to {
    transform: translate3d(0, 0%, 0);
  }
}
</style>
